package com.shining.cloud.pojo.information;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/**
 * system
 * pqs_topstrategy
 * @author cdf
 * @date 2021/11/8
 */
@Table(name = "pqs_topstrategy")
public class TerminalRun {

    @Id
    @Column(name = "dic_index")
    private String dicIndex;
    @Column(name = "integrity_value")
    private Integer integrityValue;
    @Column(name = "offtime_value")
    private Integer offtimeValue;
    @Column(name = "warn_value")
    private Integer warnValue;
    @Column(name = "update_time")
    private Date updateTime;
    @Column(name = "update_user")
    private String updateUser;
    @Column(name = "online_value")
    private Float onlineValue;

    @Transient
    private String lineGrade;
    @Transient
    private Integer dicLeave;

    public Integer getDicLeave() {
        return dicLeave;
    }

    public void setDicLeave(Integer dicLeave) {
        this.dicLeave = dicLeave;
    }

    public Float getOnlineValue() {
        return onlineValue;
    }

    public void setOnlineValue(Float onlineValue) {
        this.onlineValue = onlineValue;
    }

    public String getLineGrade() {
        return lineGrade;
    }

    public void setLineGrade(String lineGrade) {
        this.lineGrade = lineGrade;
    }

    public String getDicIndex() {
        return dicIndex;
    }

    public void setDicIndex(String dicIndex) {
        this.dicIndex = dicIndex;
    }

    public Integer getIntegrityValue() {
        return integrityValue;
    }

    public void setIntegrityValue(Integer integrityValue) {
        this.integrityValue = integrityValue;
    }

    public Integer getOfftimeValue() {
        return offtimeValue;
    }

    public void setOfftimeValue(Integer offtimeValue) {
        this.offtimeValue = offtimeValue;
    }

    public Integer getWarnValue() {
        return warnValue;
    }

    public void setWarnValue(Integer warnValue) {
        this.warnValue = warnValue;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
}
